# $Revision: 1.158 $, $Date: 2011/09/27 16:39:19 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	python		# smixer-python binding
%bcond_with	resmgr		# Resource Manager support

Summary:	Advanced Linux Sound Architecture (ALSA) - Library
Summary(es.UTF-8):	Advanced Linux Sound Architecture (ALSA) - Biblioteca
Summary(pl.UTF-8):	Advanced Linux Sound Architecture (ALSA) - Biblioteka
Summary(pt_BR.UTF-8):	Biblioteca para o ALSA (Advanced Linux Sound Architecture)
Summary(ru.UTF-8):	Библиотека API для работы с драйвером ALSA
Summary(uk.UTF-8):	Бібліотека API для роботи з драйвером ALSA
Name:		alsa-lib
Version:	1.0.24.1
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.alsa-project.org/pub/lib/%{name}-%{version}.tar.bz2
# Source0-md5:	7cc05f25e1d5b65da8fb3fdcd540f226
Source1:	%{name}-modprobe.conf
Source2:	%{name}-asound.conf
URL:		http://www.alsa-project.org/
BuildRequires:	alsa-driver-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libtool
%if %{with python}
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-modules
%endif
%{?with_resmgr:BuildRequires:	resmgr-devel}
BuildConflicts:	alsa-lib <= 0.4.0
Obsoletes:	alsa-libs
Conflicts:	alsa-utils < 1.0.20-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Advanced Linux Sound Architecture (ALSA) - Library

Features:
- general
	- modularized architecture
	- support for versioned and exported symbols
	- full proc filesystem support - /proc/sound
- ISA soundcards
	- support for 128k ISA DMA buffer
- mixer
	- new enhanced API for applications
	- support for unlimited number of channels
	- volume can be set in three ways (percentual (0-100), exact and
	  decibel)
	- support for mute (and hardware mute if hardware supports it)
	- support for mixer events
		- this allows two or more applications to be synchronized
- digital audio (PCM)
	- new enhanced API for applications
	- full real duplex support
	- full duplex support for SoundBlaster 16/AWE soundcards
	- digital audio data for playback and record should be read back using
	  proc filesystem
- OSS/Lite compatibility
	- full mixer compatibity
	- full PCM (/dev/dsp) compatibility

%description -l pl.UTF-8
Advanced Linux Sound Architecture (ALSA) - Biblioteka

Możliwości:
- generalne
	- zmodularyzowana architektura
	- pełne wsparcie dla systemu plików proc - /proc/sound
- karty dźwiękowe ISA
	- obsługa bufora 128k ISA DMA
- mikser
	- nowe rozszerzone API dla aplikacji
	- obsługa nielimitowanej liczby kanałów
	- głośność może być ustawiana na trzy różne sposoby (procentowo
	  (0-100), liniowo oraz w skali decybelowej)
	- obsługa wyciszania (oraz sprzętowego wyciszania)
	- obsługa zdarzeń miksera
		- to pozwala dwum lub większej liczbie aplikacji się synchronizować
- cyfrowe audio (PCM)
	- nowe rozszerzone API dla aplikacji
	- pełna, prawdziwa obsługa trybu duplex
	- pełna obsługa trybu duplex dla kart SoundBlaster 16/AWE
	- dane cyfrowego dźwięku dla odtwarzania i nagrywania powinny być
	  odczytywane poprzez system plików /proc
- kompatybilność z OSS/Lite
	- pełna kompatybilność miksera
	- pełna kompatybilność PCM (/dev/dsp)

%description -l pt_BR.UTF-8
Bibliotecas para o ALSA. Esse pacote é necessário para rodar programas
Linux queusam o driver de som ALSA.

%description -l ru.UTF-8
Библиотека API для работы с драйвером ALSA.

%description -l uk.UTF-8
Бібліотека API для роботи з драйвером ALSA.

%package devel
Summary:	Advanced Linux Sound Architecture (ALSA) - header files
Summary(es.UTF-8):	Archivos de desarrollo de ALSA
Summary(pl.UTF-8):	Advanced Linux Sound Architecture (ALSA) - pliki nagłówkowe
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento do ALSA (Advanced Linux Sound Architecture)
Summary(ru.UTF-8):	Библиотека API для работы с драйвером ALSA - файлы программиста
Summary(uk.UTF-8):	Бібліотека API для роботи з драйвером ALSA - файли програміста
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-driver-devel
Obsoletes:	alsa-devel
Obsoletes:	alsa-lib-devel-doc

%description devel
Advanced Linux Sound Architecture (ALSA) - header files.

%description devel -l es.UTF-8
Este paquete contiene los archivos necesarios para compilar programas
que usan la biblioteca del sistema ALSA. No es necesario instalarlo si
lo que se desea es solamente ejecutar programas.

%description devel -l pl.UTF-8
Advanced Linux Sound Architecture (ALSA) - pliki nagłówkowe.

%description devel -l pt_BR.UTF-8
Esse pacote contém os arquivos necessários para compilar programas que
usam a biblioteca do ALSA. Não é necessário instalar esse pacote para
apenas rodar programas.

%description devel -l ru.UTF-8
Библиотеки разработчика и хедера для библиотеки API для работы с
драйвером ALSA.

%description devel -l uk.UTF-8
Бібліотеки програміста та хедери для бібліотеки API для роботи з
драйвером ALSA.

%package static
Summary:	Advanced Linux Sound Architecture (ALSA) - static library
Summary(pl.UTF-8):	Advanced Linux Sound Architecture (ALSA) - biblioteka statyczna
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com a alsa-lib
Summary(ru.UTF-8):	Статическая библиотека API для работы с драйвером ALSA
Summary(uk.UTF-8):	Статична бібліотека API для роботи з драйвером ALSA
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Advanced Linux Sound Architecture (ALSA) - static library.

%description static -l pl.UTF-8
Advanced Linux Sound Architecture (ALSA) - biblioteka statyczna.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com a alsa-lib

%description static -l ru.UTF-8
Статическая библиотека API для работы с драйвером ALSA.

%description static -l uk.UTF-8
Статична бібліотека API для роботи з драйвером ALSA.

%package apidocs
Summary:	ALSA Library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki ALSA
Group:		Documentation

%description apidocs
API and internal documentation for ALSA Library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki ALSA.

%package smixer-python
Summary:	Python binding module for ALSA Mixer Interface
Summary(pl.UTF-8):	Moduł wiązania Pythona dla interfejsu miksera architektury ALSA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description smixer-python
Python binding module for ALSA Mixer Interface.

%description smixer-python -l pl.UTF-8
Moduł wiązania Pythona dla interfejsu miksera architektury ALSA.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_python:--disable-python} \
	%{?with_resmgr:--enable-resmgr} \
	%{?with_static_libs:--enable-static}

%{__make}
%{?with_apidocs:%{__make} doc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/%{_lib},%{_sysconfdir}/alsa,/etc/modprobe.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/libasound.so.* $RPM_BUILD_ROOT/%{_lib}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libasound.so
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib}; echo libasound.so.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libasound.so

install -D utils/alsa.m4 $RPM_BUILD_ROOT%{_aclocaldir}/alsa.m4
install %{SOURCE1} $RPM_BUILD_ROOT/etc/modprobe.d/alsa-base.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/asound.conf

rm -f $RPM_BUILD_ROOT%{_libdir}/alsa-lib/smixer/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/asoundrc.txt
%attr(755,root,root) %{_bindir}/aserver
%attr(755,root,root) /%{_lib}/libasound.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libasound.so.2
%dir %{_libdir}/alsa-lib
%dir %{_libdir}/alsa-lib/smixer
%attr(755,root,root) %{_libdir}/alsa-lib/smixer/smixer-ac97.so
%attr(755,root,root) %{_libdir}/alsa-lib/smixer/smixer-hda.so
%attr(755,root,root) %{_libdir}/alsa-lib/smixer/smixer-sbase.so
%{_datadir}/alsa
%dir %{_sysconfdir}/alsa
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asound.conf
%config(noreplace) %verify(not md5 mtime size) /etc/modprobe.d/alsa-base.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libasound.so
%{_libdir}/libasound.la
%{_includedir}/sys/asoundlib.h
%{_includedir}/alsa
%{_aclocaldir}/alsa.m4
%{_pkgconfigdir}/alsa.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libasound.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/doxygen/html/*
%endif

%if %{with python}
%files smixer-python
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/alsa-lib/smixer/smixer-python.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsa-lib.spec,v $
Revision 1.158  2011/09/27 16:39:19  baggins
- rel 2
- move libsound to /lib for /sbin/alsactl

Revision 1.157  2011/01/31 19:32:30  arekm
- up to 1.0.24.1

Revision 1.156  2010/07/09 11:12:53  arekm
- release 3

Revision 1.155  2010/05/23 05:34:22  qboosh
- pl fix

Revision 1.154  2010/05/23 05:33:37  qboosh
- disable silent-rules

Revision 1.153  2010/05/09 10:27:57  glen
- apidocs subpackage; rel 2

Revision 1.152  2010/04/25 14:01:31  sls
- ver. 1.0.23

Revision 1.151  2010/04/11 06:08:34  qboosh
- specify /etc/alsa as just dir

Revision 1.150  2010/04/11 06:00:37  qboosh
- C: alsa-utils < 1.0.20-3 (before asound.conf move)

Revision 1.149  2009/12/17 18:58:10  arekm
- up to 1.0.22

Revision 1.148  2009/11/24 19:52:02  sparky
- python BR: python-modules

Revision 1.147  2009/10/26 13:39:44  patrys
- 1.0.21a

Revision 1.146  2009/09/06 15:55:27  amateja
- updated to 1.0.21

Revision 1.145  2009/05/24 17:00:28  patrys
- move asound.conf from alsa-util
- provide a working template
- rel 2

Revision 1.144  2009/05/08 14:27:08  witekfl
- up to 1.0.20

Revision 1.143  2009/03/02 12:21:01  baggins
- rel 2
- no need to be paranoid about modprobe config

Revision 1.142  2009/01/26 09:02:33  adamg
- updated to 1.0.19

Revision 1.141  2008/11/02 12:08:50  arekm
- up to 1.0.18

Revision 1.140  2008/10/08 16:03:18  arekm
- release 3

Revision 1.139  2008/07/24 14:12:34  glen
- pldize

Revision 1.138  2008/07/24 13:59:59  patrys
- forgot the .conf part

Revision 1.137  2008/07/24 13:53:44  patrys
- add modprobe hints to fix common sound problems
- rel 2

Revision 1.136  2008/07/14 19:37:48  twittner
- up to 1.0.17

Revision 1.135  2008/04/27 18:42:10  glen
- release 2

Revision 1.134  2008-04-27 17:38:59  glen
- builds fine with python 2.4, why such version in BR?

Revision 1.133  2008-02-12 23:59:53  twittner
- doc/asoundrc.txt added

Revision 1.132  2008-02-11 19:01:28  qboosh
- updated to 1.0.16
- build smixer-python by default (as subpackage)

Revision 1.131  2008-01-05 03:06:18  qboosh
- more verbose files
- ghost soname symlink

Revision 1.130  2007-12-15 00:45:05  sls
- added bconds python and resmgr
- removed BR: flex libstdc++-devel ncurses-devel (feel free to fix me)
- more verbose files

Revision 1.129  2007-10-22 21:31:15  arekm
- up to 1.0.15

Revision 1.128  2007/06/12 06:19:34  qboosh
- updated to 1.0.14a (pluginsdir fix)

Revision 1.127  2007/06/05 20:00:01  rotom
- up to 1.0.14

Revision 1.126  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.125  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.124  2006/11/26 12:46:22  kali
- compatibility problem with automake 1.10 fixed
- rel 3

Revision 1.123  2006/11/25 13:23:16  arekm
- rel 2

Revision 1.122  2006/10/04 20:55:31  qboosh
- updated to 1.0.13

Revision 1.121  2006/08/26 12:19:50  qboosh
- updated to 1.0.12

Revision 1.120  2006/04/22 00:06:33  qboosh
- updated to final 1.0.11

Revision 1.119  2006/04/19 11:58:08  arekm
- up to 1.0.11rc5

Revision 1.118  2005/11/19 14:40:55  qboosh
- updated to final 1.0.10, dropped Linux 2.2 information from descs

Revision 1.117  2005/11/16 11:13:57  pluto
- updated to 1.0.10rc3.

Revision 1.116  2005/09/11 12:10:57  freetz
- rel.1

Revision 1.115  2005/06/28 15:24:29  witekfl
- added bcond_without static_libs

Revision 1.114  2005/06/01 20:42:30  qboosh
- removed obsolete alpha patch

Revision 1.113  2005/05/31 23:08:54  zawadaa
- up to 1.0.9 - a lot of fixes
- please review alpha patch - is needed? there is patch from fedora
  if not let me know

Revision 1.112  2005/05/03 15:00:14  pluto
- ppc build fixed.

Revision 1.111  2005/05/03 12:58:09  pluto
- gcc4 fix.

Revision 1.110  2005/05/03 12:35:52  pluto
- release 2 for Th.

Revision 1.109  2005/01/14 01:22:45  charles
- updated to 1.0.8
- deleted TODO (long ago solve)

Revision 1.108  2004/12/17 17:56:26  sparky
- Spanish summary/description fixes

Revision 1.107  2004/11/21 14:42:58  qboosh
- updated to 1.0.7
- removed obsolete bluezsco patch
  (but s/SND_HWDEP_IFACE_BLUEZ_SCO/SND_HWDEP_IFACE_BLUETOOTH/ may be needed somewhere)

Revision 1.106  2004/11/04 13:31:52  paladine
- spaces->tabs
- cosmetics

Revision 1.105  2004/08/16 14:09:16  pluto
- updated to 1.0.6.
- release 1.

Revision 1.104  2004/05/31 19:37:52  qboosh
- added alpha patch (fix gas syntax), release 2

Revision 1.103  2004/05/30 11:24:04  arekm
- updated to 1.0.5

Revision 1.102  2004/05/20 14:04:48  jpc
- this patch would be useless even if it had been in repo ;)

Revision 1.101  2004/05/20 12:35:07  qboosh
- disabled non-existing patch

Revision 1.100  2004/05/15 19:12:45  jpc
- corrected the log :/

Revision 1.99  2004/05/15 18:57:48  jpc
- found bug (no patch yet - added to TODO)

Revision 1.98  2004/04/16 18:20:34  bszx
- updated to 1.0.4

Revision 1.97  2004/03/15 21:20:10  grzegol
- updated to 1.0.3b

Revision 1.96  2004/03/07 13:22:57  grzegol
- updated to 1.0.3a

Revision 1.95  2004/02/29 18:27:59  grzegol
- updated to 1.0.3
- strict internal deps

Revision 1.94  2004/02/28 22:49:55  jpc
- sth had to go wrong (of course)

Revision 1.93  2004/02/28 22:37:16  jpc
- updated sources (authors added a patch and reuploaded
  without changing version number)
- release 2

Revision 1.92  2004/01/27 09:33:25  trojan
- updated to 1.0.2
- removed outdated am18 patch

Revision 1.91  2004/01/09 19:03:00  adgor
- 1.0.1

Revision 1.90  2003/12/19 11:26:48  qboosh
- added am18 patch (alsa.m4 quotation fix); release .2

Revision 1.89  2003/12/07 17:15:21  bszx
- updated to 1.0.0rc2

Revision 1.88  2003/11/19 10:22:57  trojan
- updated to 1.0.0pre1

Revision 1.87  2003/11/11 02:06:29  qboosh
- BR: ac,am

Revision 1.86  2003/10/24 10:52:23  trojan
- updated to 0.9.8

Revision 1.85  2003/10/19 19:24:06  undefine
- why not sparc?

Revision 1.84  2003/10/11 11:15:58  adasi
 - relup

Revision 1.83  2003/10/11 10:29:39  adasi
 - added snd-bluez-sco patch (adapted for 0.9.7 from snd-bluez-sco package)

Revision 1.82  2003/09/26 11:29:18  trojan
- updated 0.9.7

Revision 1.81  2003/09/02 15:14:14  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.80  2003/08/18 08:07:54  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.79  2003/08/11 20:44:51  ankry
cosmetics

Revision 1.78  2003/08/06 16:07:51  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.77  2003/07/30 22:56:03  grzegol
- updated to 0.9.6

Revision 1.76  2003/07/22 15:55:01  undefine
- pt_BR and es translations from conectiva, fixed license

Revision 1.75  2003/07/10 09:06:34  trojan
- updated to 0.9.5

Revision 1.74  2003/07/07 10:12:23  qboosh
- fixed "small fixes"
- cosmetics and fixes in pl description

Revision 1.73  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.72  2003/06/02 09:44:34  trojan
- updated to 0.9.4

Revision 1.71  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.70  2003/05/25 05:45:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.69  2003/05/05 09:08:08  trojan
- updated to 0.9.3: minor enhancements

Revision 1.68  2003/03/20 10:46:52  trojan
- updated to 0.9.2

Revision 1.67  2003/03/12 08:34:01  trojan
- updated to 0.9.1

Revision 1.66  2003/03/08 08:46:51  trojan
- updated to 0.9.0rc8c

Revision 1.65  2003/03/06 08:30:45  trojan
- updated to 0.9.0rc8b

Revision 1.64  2003/03/03 14:47:20  trojan
- updated to 0.9.0rc8a

Revision 1.63  2003/01/29 14:02:35  trojan
- updated to 0.9.0rc7

Revision 1.62  2003/01/14 09:35:04  qboosh
- run ldconfig in postun, not preun
- pl fixes/cosmetics, added missing dir
- removed --add-missing (__automake macro already contains -a)

Revision 1.61  2003/01/13 07:43:52  trojan
- removed __prefix definition
- s/__prefix/_datadir

Revision 1.60  2002/12/09 21:41:33  klakier
- didn't compile on missing files, --add-missing supplied

Revision 1.59  2002/11/25 14:13:00  ankry
- massive attack: no need for 755 for *.la

Revision 1.58  2002/11/18 22:07:35  aflinta
- updated to version 0.9rc6

Revision 1.57  2002/10/26 14:54:53  wrobell
- ver. 0.9.0rc5

Revision 1.56  2002/10/23 11:16:16  wrobell
- fixed file list

Revision 1.55  2002/10/23 00:29:08  aflinta
- merged from DEVEL
- updated to version 0.9.0rc4

Revision 1.53.2.7  2002/10/01 19:12:20  aflinta
- added missing BR:

Revision 1.53.2.6  2002/08/28 21:54:32  aflinta
- updated to version 0.9.0rc3

Revision 1.53.2.5  2002/06/22 12:34:41  aflinta
- updated to version 0.9rc2

Revision 1.53.2.4  2002/06/12 18:10:42  filon
- added generationd doxygen docs for devel
- re-enabled static library
- cosmetics

Revision 1.53.2.3  2002/06/07 10:28:46  pascalek
- workaround for missing m4 patch

Revision 1.53.2.2  2002/05/07 21:51:48  mmazur
- cleaned, polished :) and ready to go for nest :)

Revision 1.53.2.1  2002/04/28 15:44:30  aflinta
- updated to version 0.9.0rc1

Revision 1.53  2002/04/25 15:43:33  arturs
fixed a small typo

Revision 1.52  2002/02/23 01:13:37  kloczek
- adapterized.

Revision 1.51  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.50  2002/01/18 02:12:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.49  2002/01/17 05:04:31  kloczek
- release 2: merge translations from KSI.

Revision 1.48  2001/09/17 10:31:20  blues
- added alsa-devel to obsoletes in devel package

Revision 1.47  2001/08/05 11:45:15  aflinta
 - change from configure to configure2_13

Revision 1.46  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.45  2001/06/16 14:09:11  kloczek
- updated to 0.5.10b.

Revision 1.44  2001/06/15 15:49:37  baggins
- back to 0.5.10

Revision 1.43  2001/05/03 09:45:47  waszi
- updated to 0.9.0beta3

Revision 1.42  2001/02/11 22:48:42  kloczek
- release 3.

Revision 1.41  2001/02/11 11:35:12  misiek
alsa-lib-devel and alsa-lib-devel-doc merged

Revision 1.40  2001/01/19 01:51:42  kloczek
- release 2,
- removed automake, autoconf, libtool from BuildRequires.

Revision 1.39  2000/12/07 17:08:43  kloczek
- updated to 0.5.10.

Revision 1.38  2000/10/27 00:30:07  kloczek
- added alsa-driver-devel Requires rule for devel.

Revision 1.37  2000/10/23 02:28:48  kloczek
- release 5: added alsa-driver-devel to BuildRequires list.

Revision 1.36  2000/10/01 00:09:02  kloczek
- release 4: adapterized and added using rpm new automation suit.

Revision 1.35  2000/08/08 19:19:18  kloczek
- adapterized.

Revision 1.34  2000/08/07 13:41:39  wrobell
- version 0.5.9

Revision 1.33  2000/07/13 23:04:28  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.32  2000/07/13 20:35:29  baggins
- release 2

Revision 1.31  2000/06/20 07:55:59  wiget
0.5.8

Revision 1.30  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.29  2000/06/09 07:22:46  kloczek
- added using %%{__make} macro.

Revision 1.28  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.27  2000/04/06 23:37:09  kloczek
- updated to 0.5.7.

Revision 1.26  2000/04/01 11:14:22  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.24  2000/03/15 19:56:05  kloczek
- typo in pl trabslation,
- fixed %doc file list.

Revision 1.23  2000/03/15 19:36:02  kloczek
- rewmoved Prereq: /sbin/depmod, /sbin/ldconfig, /sbin/chkconfig,
- /sbin/ldconfig is now runed as -p parameter in %post, %postun,
- fixed shared library name.

Revision 1.22  2000/03/15 19:02:36  kloczek
- updated to 0.5.6.

Revision 1.21  2000/03/02 18:46:39  wiget
- updated to 0.5.5

Revision 1.20  2000/02/16 23:48:59  wiget
0.5.3

Revision 1.19  2000/02/16 16:33:19  baggins
- typos

Revision 1.18  2000/02/16 13:55:44  baggins
- one big alsa.spec split into smaller parts

Revision 1.27  2000/02/07 18:28:47  baggins
- added kernelversion patch for dealing with EXTRAVERSION
- added -smp package
- rewritten %post/%pre scripts

Revision 1.26  2000/02/07 09:04:54  waszi
- updated to 0.5.2

Revision 1.25  2000/02/01 23:13:19  alchemyx
- added one more BuildRequires

Revision 1.24  2000/02/01 21:22:12  alchemyx
- more Buildrequires

Revision 1.23  2000/01/31 19:31:49  baggins
- updated to 0.5.1a

Revision 1.22  2000/01/22 21:01:40  wiget
0.5.1

Revision 1.21  2000/01/20 23:53:13  kloczek
- more using %%configure macro (all binaries are stripped),
- beter passing LDFLAGS="-s".

Revision 1.20  2000/01/20 20:18:40  wiget
- some changes for 0.5.0 libs

Revision 1.19  2000/01/20 18:36:30  wiget
- removed xamixer and other X stuff (removed from tarball)

Revision 1.18  2000/01/20 18:31:12  kloczek
- updated to 0.5.0.

Revision 1.17  1999/12/22 04:20:29  wiget
- ExcludeArch: sparc sparc64

Revision 1.16  1999/12/21 10:48:25  wiget
- release 3

Revision 1.15  1999/12/20 15:52:05  wiget
- alsa-driver 0.4.1i

Revision 1.14  1999/12/19 18:33:25  wiget
- fix some typos

Revision 1.13  1999/12/15 22:45:13  wiget
- updated to alsa-driver-0.4.1h and alsa-lib-0.4.1e

Revision 1.12  1999/10/13 11:28:49  pius
- added --disable-gtktest to alsa-util configure options

Revision 1.11  1999/09/02 08:16:25  wiget
- BuildConflicts: alsa-lib

Revision 1.10  1999/09/02 07:44:21  wiget
- Obsoletes: alsa-lib

Revision 1.9  1999/09/02 06:28:56  wiget
- added patches to compile from one spec
- disabled isapnp support (broken, waiting for patches)

Revision 1.8  1999/08/31 13:09:12  misiek
- updated to 0.4.1 (but not tested)

Revision 1.7  1999/08/20 11:19:10  wiget
- fixed Requires

Revision 1.6  1999/08/20 09:25:59  wiget
- typo

Revision 1.5  1999/08/20 08:58:19  wiget
- last fix for all-in-one (I hope).

Revision 1.4  1999/08/20 07:13:42  wiget
- fixe for compiling from one src.rpm

Revision 1.3  1999/08/19 12:31:40  wiget
- cut changelog

